function [ hd ] = create_filter(Wn, varargin)
%CREATE_FILTER_BUTTER Create Zero Pole Gain Cheby type 2 dfilt Object
%
%   hd = create_filter_cheby(n, Wn)
%   hd = create_filter_cheby(n, Wn, ftype)
%
%          hd: filter object
%           n: order of Cheby type 2 filter
%          Wn: cutoff frequency, relative to nyquist rate
%       ftype: 'low' - generate lowpass filter (default)
%              'high' - generate highpass filter
%              'stop' - generate bandstop filter (with Wn: [W1 W2])
%
    n = 9;
    if length(varargin) == 1
        [z, p, k] = cheby2(n,60,Wn, varargin{1});
    elseif length(varargin) < 1
        [z, p, k] = cheby2(n,60,Wn);
    else
        error('To many args');
    end

    [sos,g]=zp2sos(z,p,k);
    hd=dfilt.df2sos(sos,g);

end
% Author: Jan F. Kraemer <jan.kraemer@rwth-aachen.de>
%
